MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025430Open CASCADE[OCCT] OCCT:DRAWpublic2014-10-29 14:472015-05-14 15:33
Reporteraba 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0025430: DRAW Test Harness: dimensions demo fails
DescriptionDimensions demo doesn't build some of length and radius dimensions because of inappropriate input geometry.
TagsNo tags attached.
Test case numberdemo samples(003) dimensions
Attached Files

- Relationships

-  Notes
(0033830)
abv (manager)
2014-10-29 15:02

Please consider adding a test case like for other samples, see tests/demo/samples
(0033852)
git (administrator)
2014-10-29 18:59

Branch CR25430 has been created by aba.

SHA-1: 70c795818dd69ffd5aa5261775a90fa67d0e27a5


Detailed log of new commits:

Author: aba
Date: Wed Oct 29 18:59:24 2014 +0300

    0025430: DRAW Test Harness: dimensions demo fails
    
    - corrected vdimparam help string;
    - added section model file to prevent changing of subshapes order after explode call
(0033853)
git (administrator)
2014-10-29 19:04

Branch CR25430 has been updated forcibly by aba.

SHA-1: f169c839ff7f370f20f2c566b5b4ffc4163c6862
(0033857)
git (administrator)
2014-10-29 19:16

Branch CR25430 has been updated forcibly by aba.

SHA-1: 158918a238ea9b2c12860b903a60a048169278f4
(0033869)
aba (developer)
2014-10-30 11:53

Dear kgv,

could you please review the git branch CR25430?
(0033901)
git (administrator)
2014-10-30 17:08

Branch CR25430_1 has been created by aba.

SHA-1: ce53dd7cdc00edb64338e8b16f18e6fa5cc44dfc


Detailed log of new commits:

Author: aba
Date: Thu Oct 30 17:06:58 2014 +0300

    0025430: DRAW Test Harness: dimensions demo fails
    
    - corrected vdimparam help string;
    - added section model file to prevent changing of subshapes order after explode call
(0033902)
aba (developer)
2014-10-30 17:10

Dear kgv,

please review rebased branch CR25430_1.
(0033916)
kgv (developer)
2014-10-30 22:36

Please test the patch.
(0033969)
mkv (tester)
2014-10-31 16:54

Dear kgv,
could you please rebase CR25430 on current master, there are conflict files.
(0034024)
git (administrator)
2014-11-05 11:55

Branch CR25430_2 has been created by aba.

SHA-1: b0d87efb607341024db2f63da5a892e1f1b7f2c9


Detailed log of new commits:

Author: aba
Date: Thu Oct 30 17:06:58 2014 +0300

    0025430: DRAW Test Harness: dimensions demo fails
    
    - corrected vdimparam help string;
    - added section model file to prevent changing of subshapes order after explode call
(0034025)
aba (developer)
2014-11-05 11:56

Dear mkv,
the branch CR25430_1 was rebased on current master and pushed into CR25430_2.
(0034126)
mkv (tester)
2014-11-06 18:37

Dear BugMaster,
Branch CR25430_2 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: b0d87efb607341024db2f63da5a892e1f1b7f2c9

Number of compiler warnings:

occt component :
Linux: 18 (18 on master)
Windows: 0 (0 on master)
MacOS: 199 (199 on master)

products component :
Linux: 11 (11 on master)
Windows: 1 (1 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
http://occt-tests.nnov.opencascade.com/CR25430-2-master-occt/Debian60-64/demo/samples/dimensions.html [^]
http://occt-tests.nnov.opencascade.com/CR25430-2-master-occt/Windows-32-VC10/demo/samples/dimensions.html [^]
demo samples(003) dimensions: OK

Testing on Linux:
occt component :
Total MEMORY difference: 372568824 / 372740520
Total CPU difference: 46668.670000000006 / 48445.730000000076
products component :
Total MEMORY difference: 126055712 / 126153068
Total CPU difference: 16570.099999999962 / 17104.72999999999

Testing on Windows:
occt component :
Total MEMORY difference: 273437848 / 274386716
Total CPU difference: 34221.65625 / 34083.0625
products component :
Total MEMORY difference: 71466340 / 70587484
Total CPU difference: 10382.421875 / 13181.484375

There are following differences in images found by testdiff
http://occt-tests.nnov.opencascade.com/CR25430-2-master-occt/Debian60-64/diff-Debian60-64.html [^]
http://occt-tests.nnov.opencascade.com/CR25430-2-master-occt/Windows-32-VC10/diff-Windows-32-VC10.html [^]
IMAGE demo samples dimensions: dimensions.png differs - new image
(0034797)
git (administrator)
2014-11-28 13:44

Branch CR25430 has been deleted by inv.

SHA-1: 158918a238ea9b2c12860b903a60a048169278f4
(0034798)
git (administrator)
2014-11-28 13:44

Branch CR25430_1 has been deleted by inv.

SHA-1: ce53dd7cdc00edb64338e8b16f18e6fa5cc44dfc
(0034799)
git (administrator)
2014-11-28 13:44

Branch CR25430_2 has been deleted by inv.

SHA-1: b0d87efb607341024db2f63da5a892e1f1b7f2c9

- Related Changesets
occt: master 7a733b19
Timestamp: 2014-10-30 14:06:58
Author: aba
Committer: bugmaster
Details ] Diff ]
0025430: DRAW Test Harness: dimensions demo fails

- corrected vdimparam help string;
- added section model file to prevent changing of subshapes order after explode call
mod - samples/tcl/dimensions.tcl Diff ] File ]
mod - src/ViewerTest/ViewerTest_RelationCommands.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-10-29 14:47 aba New Issue
2014-10-29 14:47 aba Assigned To => aba
2014-10-29 14:47 aba Status new => assigned
2014-10-29 15:02 abv Note Added: 0033830
2014-10-29 18:59 git Note Added: 0033852
2014-10-29 19:04 git Note Added: 0033853
2014-10-29 19:16 git Note Added: 0033857
2014-10-30 11:53 aba Note Added: 0033869
2014-10-30 11:53 aba Assigned To aba => kgv
2014-10-30 11:53 aba Status assigned => resolved
2014-10-30 12:43 abv Target Version => 6.8.0
2014-10-30 17:08 git Note Added: 0033901
2014-10-30 17:10 aba Note Added: 0033902
2014-10-30 22:36 kgv Note Added: 0033916
2014-10-30 22:36 kgv Assigned To kgv => bugmaster
2014-10-30 22:36 kgv Status resolved => reviewed
2014-10-31 12:01 mkv Assigned To bugmaster => mkv
2014-10-31 16:54 mkv Note Added: 0033969
2014-10-31 16:54 mkv Assigned To mkv => kgv
2014-10-31 16:54 mkv Status reviewed => feedback
2014-10-31 17:04 kgv Assigned To kgv => aba
2014-11-05 11:55 git Note Added: 0034024
2014-11-05 11:56 aba Assigned To aba => mkv
2014-11-05 11:56 aba Note Added: 0034025
2014-11-06 15:28 bugmaster Status feedback => reviewed
2014-11-06 18:37 mkv Note Added: 0034126
2014-11-06 18:38 mkv Test case number => demo samples(003) dimensions
2014-11-06 18:38 mkv Assigned To mkv => bugmaster
2014-11-06 18:38 mkv Status reviewed => tested
2014-11-11 01:04 abv Target Version 6.8.0 => 7.0.0
2014-11-25 10:29 bugmaster Changeset attached => occt master 7a733b19
2014-11-25 10:29 bugmaster Status tested => verified
2014-11-25 10:29 bugmaster Resolution open => fixed
2014-11-28 13:44 git Note Added: 0034797
2014-11-28 13:44 git Note Added: 0034798
2014-11-28 13:44 git Note Added: 0034799
2015-01-19 16:23 bugmaster Target Version 7.0.0 => 6.9.0
2015-05-14 15:29 aiv Status verified => closed
2015-05-14 15:33 aiv Fixed in Version => 6.9.0


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker